Last Comment Bug 775394 - Use Services.io instead of Cc["@mozilla.org/network/io-service;1"].getService(Ci.nsIIOService) in xpcshell test
: Use Services.io instead of Cc["@mozilla.org/network/io-service;1"].getService...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Testing Infrastructure (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Hiroyuki Ikezoe (:hiro)
:
Mentors:
Depends on:
Blocks: 720356
  Show dependency treegraph
 
Reported: 2012-07-18 19:20 PDT by Hiroyuki Ikezoe (:hiro)
Modified: 2012-08-31 03:30 PDT (History)
5 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix (52.53 KB, patch)
2012-07-18 19:20 PDT, Hiroyuki Ikezoe (:hiro)
mconley: review+
Details | Diff | Review
null position fix (52.50 KB, patch)
2012-07-25 15:33 PDT, Hiroyuki Ikezoe (:hiro)
hiikezoe: review+
Details | Diff | Review

Description Hiroyuki Ikezoe (:hiro) 2012-07-18 19:20:07 PDT
Created attachment 643706 [details] [diff] [review]
Fix
Comment 1 Hiroyuki Ikezoe (:hiro) 2012-07-18 19:22:36 PDT
I just pushed a try:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=98e8fc1442a3
Comment 2 :aceman 2012-07-19 04:17:45 PDT
Nice work :)
Comment 3 Mike Conley (:mconley) - (Away until June 29th) 2012-07-25 07:08:19 PDT
Comment on attachment 643706 [details] [diff] [review]
Fix

Review of attachment 643706 [details] [diff] [review]:
-----------------------------------------------------------------

This is awesome - thanks Hiro!

I've only inspected these tests, and haven't run the patch. I assume these all run correctly?

Assuming that, and with my one little nit fixed, r=me. Great work!

::: mailnews/news/test/unit/test_bug37465.js
@@ +8,5 @@
>    server.start(NNTP_PORT);
>  
>    // Correct URI?
> +  let uri = Services.io.newURI("news://localhost:1143/1@regular.invalid",
> +                               null,

Let's put this last null on the same line as the one before.
Comment 4 Hiroyuki Ikezoe (:hiro) 2012-07-25 15:33:46 PDT
Created attachment 645910 [details] [diff] [review]
null position fix

The last try server result had some build errors.

Now I pushed to a try again for the safety.
Comment 5 Ludovic Hirlimann [:Usul] 2012-08-29 07:20:44 PDT
What's the status on this ?
Comment 6 Mike Conley (:mconley) - (Away until June 29th) 2012-08-29 07:24:35 PDT
Hm - I guess it never got checkin-needed.

This is about a month old - I'll make sure the patch still applies, and then set the flag.
Comment 7 Mike Conley (:mconley) - (Away until June 29th) 2012-08-29 07:47:15 PDT
Ok, this still looks good.
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-08-31 03:30:04 PDT
https://hg.mozilla.org/comm-central/rev/2bdd449748dd

Note You need to log in before you can comment on or make changes to this bug.